module Payline pour prestashop v 1.4.x

S’abonner

Le module Payline pour Prestashop 1.4.x permet une mise en œuvre rapide de la solution Payline dans votre boutique.

 

Alerte régression

Suite à la mise en production de la version 4.41 de Payline le 5 Février 2015, le paiement ne fonctionne plus pour les utilisateurs des versions du module antérieures à la 1.2. L'erreur suivante est retournée : differedActionDate must be empty if the payment mode is not DIF (code 02843).

Pour palier cette erreur, le plus sûr est de mettre à jour le module avec la version 1.3.1.

Si cette mise à jour est impossible, il convient d'apporter la modification suivante dans le script modules/payline/redirect.php :

Remplacer

$array['payment']['differedActionDate'] = ... (diffère selon version)

Par

$array['payment']['mode'] = 'CPT';
$array['payment']['differedActionDate'] = '';

 

Vous avez d’autres questions ? Envoyer une demande

Commentaires

  • Avatar
    Fabien

    La version 1.3.1 inclut le contrôle effectué dans notre module 1.6.0.3 pour Prestashop 1.5 et 1.6, éliminant les effets indésirables des aller-retours entre le panier et la page de paiement.

Réalisé par Zendesk